function report_fn(){
	var sel = document.getElementById("enquiry").value;
	var num = document.getElementById("number").value;
	
	if(sel == 0){
		draw_error("Ошибка", "Необходимо выбрать тип отчета", null);
		return;
	}
	
	if(sel == 3){
		if(num.length == 0){
			draw_error("Ошибка", "Необходимо указать номер ФД", null);
			return;
		}
	}
	
	var str_new_info = "/?ajax_fn_report??"+sel+"??"+num;	
	changeInterval(50);
	setRequest(function (){		
		return str_new_info;
	});

}

var last_report = "";

function print_report(){
	if(last_report.length != 0){
		var str_new_info = "/?ajax_print_report??"+last_report;	
		changeInterval(50);
		setRequest(function (){		
			return str_new_info;
		});
	}else{
		draw_error("Ошибка! ", "Нет сформированного отчета");
	}
}

/*
 * Обработчик ajax событий 
 */
function local_proc(values){

	if(values[0] == "rez_fn_report"){
		if(values[1] == "Fault"){
			draw_error("Ошибка! ", "<p>"+values[3] + "</p><strong>"+values[2]+"</strong>");
		}
		 else{
			draw_info("Отчет сформирован. <br/>Файл " + values[2]);
			var str_new_info = "/?ajax_get_report??"+values[2];	
			last_report = values[2];
			changeInterval(50);
			setRequest(function (){		
				return str_new_info;
			});
			return;
		}		                   
	}else if(values[0] == "rez_get_report"){
		//alert(values[1]);
		txt = "";
		for(var i = 0; i<values[1].length; i+=1){
			if(values[1][i]=='#' && i + 1 < values[1].length && (values[1][i+1]=='1' || values[1][i+1]=='2')){
				i+=1;
			}else{
				txt += values[1][i];
			}
		}
		document.getElementById("report").value = txt;
	}
	
	changeInterval(750);	
}


var fun_end_error = null;
function draw_error(title, info, fexit){
	var dlg = document.getElementById("dialog_error");
	dlg.style.display = "block";
	
	var head1 = document.getElementById("title_error_dialog");
	head1.innerHTML = title;
	
	var info1 = document.getElementById("error_info");
	info1.innerHTML = info;
	
	fun_end_error = fexit;
}


function draw_select_dlg(){
	var dlg = document.getElementById("dlg-select");
	dlg.style.display = "block";	
}

function close_select_dlg(){
	var dlg = document.getElementById("dlg-select");
	dlg.style.display = "none";		
}


function close_dialog_error(){
	var dlg = document.getElementById("dialog_error");
	dlg.style.display = "none";
	
	if(fun_end_error != null){
		fun_end_error();
		fun_end_error = null;
	}
}

function draw_info(info){
	var dlg = document.getElementById("dlg-info");
	dlg.style.display = "block";
	
	
	var info1 = document.getElementById("el_info");
	info1.innerHTML = info;
	
}

function close_dialog_info(){
	var dlg = document.getElementById("dlg-info");
	dlg.style.display = "none";
	
}