/*
 * Начальное заполнение формы
 */
function fillform(ofdinfo){

	document.getElementById("url").value = ofdinfo["url"];	
	document.getElementById("port").value = ofdinfo["port"];
}


/*
 * Начать регистрацию
 */
function store_param_ofd(){
	if(check_entering_data() == true){
		var v_url =  document.getElementById("url").value;
		var v_port = document.getElementById("port").value;
		
		
		var str_new_fninfo = "/?ajax_store_info_ofd??"+
		v_url+"??"+
		v_port;
		
		//alert(str_new_fninfo);
		
		changeInterval(50);
		setRequest(function (){		
			return str_new_fninfo;
		});
	}else{
		
	}
}

/*
 * Проверка на числа 
 */
function check_on_digits(text){
	return (isNaN(parseInt(text)) == false) ? true : false;
}

/*
 * Проверить введенные данные
 */
function check_entering_data(){
	var v_url =  document.getElementById("url").value;
	var v_port = document.getElementById("port").value;
	
	
	if(v_url.length == 0){
		draw_error("Ошибка", "Поле 'URL' должно быть заполнено");
		return false;
	}else if(v_port.length == 0){
		draw_error("Ошибка", "Поле 'Порт' должно быть заполнено");
		return false;
	}
	
	/*
	 * Проверка номера
	 */
	if( check_on_digits(v_port) == false || parseInt(v_port) > 0xffff){
		draw_error("Ошибка", "Неверно оформлено поле 'Порт'");
		return false;
	}
	
	return true;
} 

/*
 * Обработчик ajax событий 
 */
function local_proc(values){

	if(values[0] == "rez_store_ofdinfo"){
		if(values[1] == "Fault"){
			draw_error("Ошибка! ", "<p>"+values[3] + "</p><strong>"+values[2]+"</strong>");
		}
		 else{
			draw_info("Данные успешно сохранены");
		}
	}
	changeInterval(750);	
}


var fun_end_error = null;
function draw_error(title, info, fexit){
	var dlg = document.getElementById("dialog_error");
	dlg.style.display = "block";
	
	var head1 = document.getElementById("title_error_dialog");
	head1.innerHTML = title;
	
	var info1 = document.getElementById("error_info");
	info1.innerHTML = info;
	
	fun_end_error = fexit;
}

function close_dialog_error(){
	var dlg = document.getElementById("dialog_error");
	dlg.style.display = "none";
	
	if(fun_end_error != null){
		fun_end_error();
		fun_end_error = null;
	}
}

function draw_info(info){
	var dlg = document.getElementById("dlg-info");
	dlg.style.display = "block";
	
	
	var info1 = document.getElementById("el_info");
	info1.innerHTML = info;
	
}

function close_dialog_info(){
	var dlg = document.getElementById("dlg-info");
	dlg.style.display = "none";
	
}