var make_functions = [
           get_real_time,
           function() {return "/?ajax_get_info_cashbuf";}          
       ];

// Кассовые регистры
var cashbuf_numbuy = 0;
var cashbuf_cashier = 0;
var cashbuf_numcheck = 0;
var cashbuf_numclose = 0;
var cashbuf_total = 0;
var cashbuf_total_str = "0.00"

// Регистры на WEB
var web_numbuy = 0; // Количество отображенных покупок

function clear_check_buf(){
	var root_elemet = document.getElementById("contain_checkbuf");
	while (root_elemet.lastChild){			
		root_elemet.removeChild(root_elemet.lastChild);
	}
	
	var element_tr = document.createElement("tr");
	root_elemet.appendChild(element_tr);
	
	var e_th = document.createElement("th");
	e_th.innerHTML = "№";
	element_tr.appendChild(e_th);
	var e_th2 = document.createElement("th");
	e_th2.innerHTML = "Продажи";
	element_tr.appendChild(e_th2);
}

function quantity2str(quantity){
	if(quantity == 0)
		quantity = 1000;
	
	str = parseInt(quantity / 1000) + '.';
	var gr = quantity % 1000;
	str += (gr>=100)?"":(gr>=10)?"0":"00";
	str += parseInt(gr);
	
	return str;
}

function cash2str(cash){
	if(cash < 0) cash = -cash;
	str = parseInt(cash / 100) + '.';
	var gr = cash % 100;
	str += (gr>=10)?"":"0";
	str += parseInt(gr);	
	return str;	
}

function mul_quantity_price(quantity, price){
	if(quantity == 0)
		quantity = 1000;
	var rez = quantity * price;
	rez /= 100;
	if(rez % 10 >= 5)rez += 10;
	rez /= 10;
	return rez;
}

function add_buy_in_checkbuf(buy, num){
	var root_element = document.getElementById("contain_checkbuf");	
	var row_element = document.createElement("tr");
	var st = "id_buy_"+num;
	row_element.setAttribute("id", st);
	root_element.appendChild(row_element);

	var td_num = document.createElement("th")
	td_num.setAttribute("class", "sub");
	row_element.appendChild(td_num);
	td_num.innerHTML = ""+num+".";
	
	var td_contain = document.createElement("td");
	row_element.appendChild(td_contain);
	
	var div_name = document.createElement("div")
	td_contain.appendChild(div_name);
	
	div_name.innerHTML = buy.name; 
	
	//		sprintf(text, "??{n:%d, name:\"%s\", barcode:\"%s\", code:%d, price:%d, tax:%d, excise:\"%s\", alco:\"%s\", cost:%d};",
	// n, dos_to_utf8(p->m_Name, temp, sizeof(temp)), p->m_bBar, p->m_nNum_goods, p->m_Price, p->m_bTax_in, (p->excise)?p->excise:"",p->alcotype, p->m_Cost);
	
	if(buy.excise.length > 0){
		var div_excise = document.createElement("div");
		div_excise.setAttribute("style","padding-left: 20px;");
		div_excise.innerHTML = "Акцизная марка: "+ buy.excise;
		td_contain.appendChild(div_excise);
	}
	
	var div_price_mul = document.createElement("div")
	div_price_mul.setAttribute("style","padding-left: 20px;");
	var cost = mul_quantity_price(buy.quantity, buy.price);
	var text = quantity2str(buy.quantity)+" x "+ cash2str(buy.price)+ "р = " + "<strong>"+cash2str(cost)+"р" + "</strong>";
	div_price_mul.innerHTML = text;
	td_contain.appendChild(div_price_mul);
	
	
	//buy.discount = -5;
	var dissum = 0;
	if(buy.discount1 != 0 || buy.discount2 != 0){
		var div_discount = document.createElement("div");
		div_discount.setAttribute("style","padding-left: 20px;");
		var discount = buy.discount1 + buy.discount2;
		var text = (discount< 0) ? "Скидка " : "Наценка";
		var dis = discount;
		if(dis < 0) dis = -dis;
		text += " "+ dis + "%      ";
		text += "на сумму ";		
		dissum = (cost * discount) / 100;
		cost += dissum; 
		text += cash2str(dissum)+"р";
		
		text += "  Стоимость с учетом "+ ((discount< 0) ? "скидки " : "наценки ");
		
		text += "<strong>" + cash2str(cost)+"р" + "</strong>";
		div_discount.innerHTML = text;				
		td_contain.appendChild (div_discount);
	}

	var taxIn = 0;
	//buy.tax = 18;
	if(buy.tax != 0){
		var div_tax = document.createElement("div");
		tax = buy.tax;
		if(tax < 0) tax = -tax;
		div_tax.setAttribute("style","padding-left: 20px;");
		
		taxIn = (cost * tax) / (100 + tax);
		text = "Налог "+ tax + "% на сумму "+ cash2str(taxIn)+"р";
		div_tax.innerHTML = text;
		td_contain.appendChild (div_tax);
	}
//	else if(buy.tax < 0){
//		tax = -buy.tax; 
//
//		var div_tax = document.createElement("div");
//		div_tax.setAttribute("style","padding-left: 20px;");
//		
//		taxIn = (cost * tax) / 100 ;
//		text = "Налог начисляемый "+ tax + "% на сумму "+ cash2str(taxIn)+"р";
//		div_tax.innerHTML = text;
//		td_contain.appendChild (div_tax);
//
//	}
}

var old_client_rate = 0;

function local_proc(values){
	if(values[0] == "rez_get_info_cashbuf"){
		cashbuf_numclose = parseInt(values[1]);
		cashbuf_numcheck = parseInt(values[2]);
		cashbuf_cashier = parseInt(values[3]);
		cashbuf_numbuy = parseInt(values[4]);
		cashbuf_total = parseFloat(values[5]);
		cashbuf_total_str = values[5];
		
		var clients_card = values[6];
		var clients_name = values[7];
		var clients_email = values[8];
		var clients_phone = values[9];
		var clients_rate = parseInt(values[10]);
		
		if(old_client_rate != clients_rate){
			old_client_rate = clients_rate;
			web_numbuy = 0;
			clear_check_buf();
		}
		
//		var elem = document.getElementById("id_cash_wday");
//		if(elem != null){
//			elem.innerHTML = "" + cashbuf_numclose;
//		}
//		
//		elem = document.getElementById("id_cash_check");
//		if(elem != null){
//			elem.innerHTML = "" + cashbuf_numcheck;
//		}
//		
		var elem = document.getElementById("id_num_buy");
		if(elem != null){
			elem.innerHTML = "" + cashbuf_numbuy;
		}
		
		elem = document.getElementById("sum_check");
		if(elem != null){
			elem.innerHTML = cashbuf_total_str;
		}
		
		elem = document.getElementById("client");
		if(client != null){
			t = "";
			if(clients_card.length != 0){
				t = "<font size=\"2\">Карта: "+clients_card;
				if(clients_name.length){
					t+="<a style=\"padding-right:20px;\"></a>Имя: "+clients_name;
				}
				if(clients_email.length){
					t+="<a style=\"padding-right:20px;\"></a>EMAIL: "+clients_email;
				}
				if(clients_phone.length){
					t+="<a style=\"padding-right:20px;\"></a>Телефон: "+clients_phone;
				}
				t+="<a style=\"padding-right:20px;\"></a>Cкидка: "+clients_rate+"%</font>";				
			}
			elem.innerHTML = t;
		}
		
		if(cashbuf_numbuy<web_numbuy){
			// Нужно очистить
			changeInterval(750);
			web_numbuy = 0;
			clear_check_buf();
		}else if(cashbuf_numbuy>web_numbuy){
			changeInterval(50);
			setRequest( function () {
			 	var text = "/?ajax_get_info_buy";
			 	text += "??" + (web_numbuy);			 	 
				return text;
			} );		
		}
		
		
		
	}else if(values[0] == "rez_get_info_buy"){
		eval("var buy = " + values[1]);
		if(web_numbuy == 0)
			clear_check_buf();
		add_buy_in_checkbuf(buy, web_numbuy+1);
		web_numbuy += 1;
		if(cashbuf_numbuy>web_numbuy){
			changeInterval(50);
			setRequest( function () {
			 	var text = "/?ajax_get_info_buy";
			 	text += "??" + (web_numbuy);			 	 
				return text;
			} );		
		}else{
			//changeInterval(750);
		}
	}
}

