/*
 * Начальное заполнение формы
 */
function fillform(egaisinfo){

	document.getElementById("url").value = egaisinfo["url"];	
	document.getElementById("port").value = egaisinfo["port"];
	if(egaisinfo["name"] != null)
		document.getElementById("name").value = egaisinfo["name"];
	document.getElementById("address").value = egaisinfo["address"];
	document.getElementById("inn").value = egaisinfo["inn"];
	document.getElementById("kpp").value = egaisinfo["kpp"];
	if(egaisinfo["FSRAR_ID"] != null){
		document.getElementById("FSRAR_ID").value = egaisinfo["FSRAR_ID"];
	}
}


/*
 * Начать регистрацию
 */
function store_param_egais(){
	if(check_entering_data() == true)
	{
		var v_url =  document.getElementById("url").value;
		var v_port = document.getElementById("port").value;
		var v_address = document.getElementById("address").value;
		var v_inn = document.getElementById("inn").value;
		var v_kpp = document.getElementById("kpp").value;
		var v_FSRAR_ID = document.getElementById("FSRAR_ID").value;
		var v_name = document.getElementById("name").value;
		
		var str_new_info = "/?ajax_store_info_egais??"+
		v_url+"??"+
		v_port+"??"+
		v_address+"??"+
		v_inn+"??"+
		v_kpp+"??"+v_FSRAR_ID+"??"+v_name;
		
		//alert(str_new_fninfo);
		
		changeInterval(50);
		setRequest(function (){		
			return str_new_info;
		});
	}else{
		
	}
}

function check_connect_egais(){
	if(check_entering_data() == true){
		var v_url =  document.getElementById("url").value;
		var v_port = document.getElementById("port").value;
		var v_address = document.getElementById("address").value;
		var v_inn = document.getElementById("inn").value;
		var v_kpp = document.getElementById("kpp").value;
		var v_FSRAR_ID = document.getElementById("FSRAR_ID").value;
		var v_name = document.getElementById("name").value;
		
		var str_new_info = "/?ajax_check_info_egais??"+
		v_url+"??"+
		v_port+"??"+
		v_address+"??"+
		v_inn+"??"+
		v_kpp+"??"+v_FSRAR_ID+"??"+v_name;
		
		//alert(str_new_fninfo);
		
		changeInterval(50);
		setRequest(function (){		
			return str_new_info;
		});
	}else{
		
	}
	
}

function clear_param_egais(){
	var v_url =  "";
	document.getElementById("url").value = v_url;
	
	var v_port = "8080";	
	document.getElementById("port").value = v_port;
	
	var v_address = "";
	document.getElementById("address").value = v_address;
	
	var v_inn = "";
	document.getElementById("inn").value = v_inn;
	
	var v_kpp = "";
	document.getElementById("kpp").value = v_kpp;
	
	var v_FSRAR_ID = document.getElementById("FSRAR_ID").value;
	
	var v_name = "";
	document.getElementById("name").value = v_name;
	
	var str_new_info = "/?ajax_store_info_egais??"+
	v_url+"??"+
	v_port+"??"+
	v_address+"??"+
	v_inn+"??"+
	v_kpp+"??"+v_FSRAR_ID+"??"+v_name;
	
	//alert(str_new_fninfo);
	
	changeInterval(50);
	setRequest(function (){		
		return str_new_info;
	});
}

/*
 * Проверка на числа 
 */
function check_on_digits(text){
	return (isNaN(parseInt(text)) == false) ? true : false;
}

/*
 * Проверить введенные данные
 */
function check_entering_data(){
	var v_url =  document.getElementById("url").value;
	var v_port = document.getElementById("port").value;
	var v_address = document.getElementById("address").value;
	var v_inn = document.getElementById("inn").value;
	var v_kpp = document.getElementById("kpp").value;
	var v_FSRAR_ID = document.getElementById("FSRAR_ID").value;
	
	if(v_url.length == 0 || v_port.length == 0 || v_address.length==0 || v_inn.length == 0 || v_kpp.length == 0){
		draw_error("Ошибка", "Все поля должны быть заполнены");
		return false;
	}
	
	/*
	 * Проверка номера
	 */
	if( check_on_digits(v_port) == false || parseInt(v_port) > 0xffff){
		draw_error("Ошибка", "Неверно оформлено поле 'Порт УТМ'");
		return false;
	}
	
	if( check_on_digits(v_inn) == false || v_inn.length > 12){
		draw_error("Ошибка", "Неверно оформлено поле 'ИНН'");
		return false;
	}

	if( check_on_digits(v_kpp) == false || v_kpp.length > 12){
		draw_error("Ошибка", "Неверно оформлено поле 'КПП'");
		return false;
	}
	return true;
} 

/*
 * Обработчик ajax событий 
 */
function local_proc(values){

	if(values[0] == "rez_store_info_egais"){
		if(values[1] == "Fault"){
			draw_error("Ошибка! ", "<p>"+values[3] + "</p><strong>"+values[2]+"</strong>");
		}
		 else{
			draw_info("Данные успешно сохранены");
		}
	}else if ("rez_check_info_egais" == values[0]){
		if(values[1] == "Fault"){
			draw_error("Ошибка! ", "<p>"+values[3] + "</p><strong>"+values[2]+"</strong>");
		}
		 else{
			draw_info("Соединение с УТМ установлено");
		}
	}
	changeInterval(750);	
}


var fun_end_error = null;
function draw_error(title, info, fexit){
	var dlg = document.getElementById("dialog_error");
	dlg.style.display = "block";
	
	var head1 = document.getElementById("title_error_dialog");
	head1.innerHTML = title;
	
	var info1 = document.getElementById("error_info");
	info1.innerHTML = info;
	
	fun_end_error = fexit;
}

function close_dialog_error(){
	var dlg = document.getElementById("dialog_error");
	dlg.style.display = "none";
	
	if(fun_end_error != null){
		fun_end_error();
		fun_end_error = null;
	}
}

function draw_info(info){
	var dlg = document.getElementById("dlg-info");
	dlg.style.display = "block";
	
	
	var info1 = document.getElementById("el_info");
	info1.innerHTML = info;
	
}

function close_dialog_info(){
	var dlg = document.getElementById("dlg-info");
	dlg.style.display = "none";
	
}